Bug 1058038 - Review Request: systeminfo - simple utility for viewing HW
Review Request: systeminfo - simple utility for viewing HW
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1074595
  Show dependency treegraph
 
Reported: 2014-01-26 12:03 EST by Pavol Ipoth
Modified: 2015-07-21 08:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 11:13:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavol Ipoth 2014-01-26 12:03:26 EST
Spec URL: http://www.symphaty.org/files/systeminfo.spec
SRPM URL: http://www.symphaty.org/files/systeminfo-1.2-1.src.rpm
Description: utility for viewing several HW types in concise form
Fedora Account System Username: p53

This is my first package, so i will need some sponsor for package, i am also developer of the utility

http://koji.fedoraproject.org/koji/taskinfo?taskID=6455230
Comment 1 Jeff Backus 2014-01-26 19:52:27 EST
Hi Pavol,

I have performed an **INFORMAL** review of your package. Unfortunately, I have not ascended into the hallowed halls of the Proven Packager yet, so I cannot do a formal review. Hopefully it still will be helpful. I have additional notes at the bottom.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
Python packages require a BuildRequires entry. In your case, you need:
BuildRequires: python2-devel

See: https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 44 files have unknown license.
License field matches LICENSE file.

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/systeminfo, /usr/lib64/python2.7/site-
     packages/systeminfo
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/python2.7/site-
     packages/systeminfo, /etc/systeminfo
In %files section change the following:
  %config(noreplace) %{_sysconfdir}/%{name}/*
  %{python_sitearch}/%{name}/*
to:
  %config(noreplace) %{_sysconfdir}/%{name}
  %{python_sitearch}/%{name}

[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
Please refer to: https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
Please wrap in %if 0%{?rhel} && 0%{?rhel} <= 5 <...>  %endif statements
Ex:
%if 0%{?rhel} && 0%{?rhel} <= 5
rm -rf %{buildroot}
%endif

See: https://fedoraproject.org/wiki/Packaging:Python#Macros

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English.
A few notes:
- Please change fibre to fiber
- "enviroments" misspelled.
- Please format the %description field such that lines do not exceed 80 
  characters. Refer to %description field description in:
  https://fedoraproject.org/wiki/How_to_create_an_RPM_package#SPEC_file_overview
- Please consider placing each Requires entry on its own line. Not requirement,
  but it does make it more legible.

[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
Please consider creating a -doc subpackage and including the HTML documentation
that is included in the source tarball.

[!]: Package complies to the Packaging Guidelines
See notes above and below.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
See notes above and below.

[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Invalid buildroot found: %{_tmppath}/%{name}-%{version}-%{release}
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
Please wrap BuildRoot in %if 0%{?rhel} && 0%{?rhel} <= 5 <...>  %endif statements
Ex:
%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
%endif

[!]: Dist tag is present (not strictly required in GL).
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
Upstream LICENSE file included.

[x]: Final provides and requires are sane (see attachments).
[!]: Package functions as described.
Program failed as follows on an x86_64 running Fedora 20:
$ sudo systeminfo --get system
Traceback (most recent call last):
  File "/bin/systeminfo", line 259, in <module>
    main()
  File "/bin/systeminfo", line 157, in main
    getattr(asset, action)(options)
  File "/usr/lib64/python2.7/site-packages/systeminfo/proc/base.py", line 92, in summary
    getattr(self, options['get_data_action'])(options)
  File "/usr/lib64/python2.7/site-packages/systeminfo/proc/system.py", line 74, in getData
    core_enabled_count += iteminfo[1]
TypeError: unsupported operand type(s) for +=: 'int' and 'NoneType'

[!]: Latest version is packaged.
I'm assuming this is true, however I cannot find an official release tarball or
even release tags at above URL.

[x]: Package does not include license text files separate from upstream.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
Please change Source field to include URL to release tarball.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
Package is marked as noarch and built without problems on my x86_64.

[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
Consider using:
* non-executable files: install -pm 0644 <source file(s)> <dest dir>
* executable files: install -pm 0755 <source file(s)> <dest dir>
Also consider using install -d <dest dir> instead of mkdir -p.

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: systeminfo-1.2-1.noarch.rpm
          systeminfo-1.2-1.src.rpm
systeminfo.noarch: W: spelling-error %description -l en_US hw -> he, h, w
systeminfo.noarch: W: spelling-error %description -l en_US fibre -> fiber, fire, fib re
systeminfo.noarch: W: spelling-error %description -l en_US enviroments -> environments, environment
systeminfo.noarch: E: description-line-too-long C This utility is primarily focused on system admin to give quick and nice way to overview hw information. Also includes fibre channel and tape devices, which are heavily used in enterprise enviroments.
systeminfo.noarch: E: no-changelogname-tag
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/fcms.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/cputplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/file.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/propertytemplate.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/propertytemplate.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/file.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpllong.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/disktpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/fcms.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/fcms.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/tabletemplate.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/base.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/base.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/cputpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/cputpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/headertabletemplate.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplshort.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/cpu.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplparsable.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/memory.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/cputplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/base.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/disktplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/tape.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/tape.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/disk.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/disk.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/disk.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/tabletemplate.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/tabletemplate.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/cpu.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/file.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/voidtemplate.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/disktpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/disktpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/propertytemplate.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/pci.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/cpu.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/pci.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/headertabletemplate.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/system.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplparsable.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/system.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplshort.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/headertabletemplate.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config-prod.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpllong.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/voidtemplate.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/pci.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/voidtemplate.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/cputpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/system.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/tape.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/disktplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config-prod.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config-prod.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/memory.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/memory.pyc
systeminfo.noarch: W: no-manual-page-for-binary systeminfo
systeminfo.src: W: spelling-error %description -l en_US hw -> he, h, w
systeminfo.src: W: spelling-error %description -l en_US fibre -> fiber, fire, fib re
systeminfo.src: W: spelling-error %description -l en_US enviroments -> environments, environment
systeminfo.src: E: description-line-too-long C This utility is primarily focused on system admin to give quick and nice way to overview hw information. Also includes fibre channel and tape devices, which are heavily used in enterprise enviroments.
systeminfo.src: E: no-changelogname-tag
systeminfo.src: W: no-%build-section
systeminfo.src: W: invalid-url Source0: systeminfo-1.2.tar.gz
2 packages and 0 specfiles checked; 192 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint systeminfo
systeminfo.noarch: W: spelling-error %description -l en_US hw -> he, h, w
systeminfo.noarch: W: spelling-error %description -l en_US fibre -> fiber, fire, fib re
systeminfo.noarch: W: spelling-error %description -l en_US enviroments -> environments, environment
systeminfo.noarch: E: description-line-too-long C This utility is primarily focused on system admin to give quick and nice way to overview hw information. Also includes fibre channel and tape devices, which are heavily used in enterprise enviroments.
systeminfo.noarch: E: no-changelogname-tag
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/fcms.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/cputplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/file.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/propertytemplate.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/propertytemplate.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/file.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpllong.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/disktpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/fcms.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/fcms.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/tabletemplate.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/base.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/base.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/cputpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/cputpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/headertabletemplate.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplshort.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/cpu.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplparsable.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/memory.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/cputplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/base.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/disktplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/tape.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/tape.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/disk.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/disk.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/disk.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/tabletemplate.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/tabletemplate.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/cpu.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/file.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/voidtemplate.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/disktpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/disktpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/propertytemplate.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/pci.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/cpu.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/io/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/pci.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/headertabletemplate.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/system.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplparsable.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/system.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplshort.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplshort.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplshort.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpldetail.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/headertabletemplate.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config-prod.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpllong.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktpllong.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/tapetpllong.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/voidtemplate.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/pci.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/voidtemplate.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/cputpllong.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/cputpllong.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplshort.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/pcitplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/template/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstpldetail.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/__init__.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/tapetplshort.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/system.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/fcmstplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/tape.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpldetail.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpldetail.py 0644L /usr/bin/python
systeminfo.noarch: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/systeminfo/view/memorytpldetail.py
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/systemtplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplparsable.py
systeminfo.noarch: E: non-executable-script /usr/lib64/python2.7/site-packages/systeminfo/view/disktplparsable.py 0644L /usr/bin/python
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config-prod.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/misc/config-prod.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplparsable.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/memory.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/__init__.pyc
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/__init__.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/view/disktplparsable.pyo
systeminfo.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/systeminfo/proc/memory.pyc
systeminfo.noarch: W: no-manual-page-for-binary systeminfo
1 packages and 0 specfiles checked; 190 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
systeminfo (rpmlib, GLIBC filtered):
    /usr/bin/python
    config(systeminfo)
    python
    python(abi)
    python-dbus
    python-dmidecode
    python-gudev



Provides
--------
systeminfo:
    config(systeminfo)
    systeminfo



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n systeminfo
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Additional Notes
================
* Please look into how to run fedora-review for yourself. I have found it immensely helpful and instructive. See: https://fedoraproject.org/wiki/Package_Review_Process#Reviewer
* Please add BuildRequires: python2-devel
* Please add a %changelog section. See: https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs
* Change Release to 1%{?dist}. See https://fedoraproject.org/wiki/How_to_create_an_RPM_package#SPEC_file_overview
* URL for released source?
* Remove BuildArch tag -> using python_sitearch instead of python_sitelib.
  See: https://fedoraproject.org/wiki/Packaging:Python#Macros
* One Requires entry per line.
* Restrict %description to 80 character lines. See: https://fedoraproject.org/wiki/How_to_create_an_RPM_package#SPEC_file_overview
* Change %config(noreplace) %{_sysconfdir}/%{name}/* to %config(noreplace) %{_sysconfdir}/%{name}
* Change %{python_sitearch}/%{name}/* to %{python_sitearch}/%{name}
* Consider making a -doc package to include HTML documentation
* Spelling errors:
  - fibre -> fiber (specs must be US English)
  - enviroments -> environments
* Wrap the following in %if 0%{?rhel} && 0%{?rhel} <= 5 <...> %endif statements
  - BuildArch
  - rm -rf %{buildroot}
  - See: https://fedoraproject.org/wiki/Packaging:Python#Macros
* Consider using install -pm 0644 <source> <dest> or install -pm 0755 <src> <dest>
  instead of cp -pR
* Consider using install -d <dest dir> instead of mkdir -p.
* I found the command-line help a little hard to read with all of the additional white-space. My preference (by no means a requirement) would be to use fewer blank lines.
* Package does not work on my machine:
$ sudo systeminfo --get system
Traceback (most recent call last):
  File "/bin/systeminfo", line 259, in <module>
    main()
  File "/bin/systeminfo", line 157, in main
    getattr(asset, action)(options)
  File "/usr/lib64/python2.7/site-packages/systeminfo/proc/base.py", line 92, in summary
    getattr(self, options['get_data_action'])(options)
  File "/usr/lib64/python2.7/site-packages/systeminfo/proc/system.py", line 74, in getData
    core_enabled_count += iteminfo[1]
TypeError: unsupported operand type(s) for +=: 'int' and 'NoneType'

Some of the above are repeated in the review phase - sorry. I'll be happy to clarify anything that isn't clear.

Regards,
Jeff
Comment 2 Christopher Meng 2014-01-27 00:25:05 EST
Please fix all issues pointed above, then paste the second revision of the spec/srpm.

Please also setup your real name in Bugzilla.
Comment 3 Pavol Ipoth 2014-01-27 07:46:31 EST
Hi,

wow, i didn't expect so many things to fix :). I will look at them. Hmm interesting is why it didn't work for you on Fedora 20, i tested it on rhel 5.8-6.3, centos-6.5, fedora 20, ubuntu 12.04, i will check it. I already have HTML docs generated but i didn't package it yet. Thanks for reviewing :).
Comment 4 Pavol Ipoth 2014-01-27 14:06:37 EST
Hi,

i found why it didn't work, i tested script on VM before, now i also tried it on physical machine and i fixed the bug. I also fixed those rpm spec file items. Hopefully it will be ok now.

SRPM: http://www.symphaty.org/files/systeminfo-1.2-1.fc20.src.rpm
SPEC: http://www.symphaty.org/files/systeminfo.spec
SOURCE: http://www.symphaty.org/files/systeminfo-1.2.tar.gz
Comment 5 Christopher Meng 2014-01-27 21:47:18 EST
Are you going to support old EPEL5? If not please remove the conditional lines.(Please don't tell me you are going to support it in VM)

Also, please try to write a setup.py if possible.

Also a note, if you really want to become a packager of Fedora, please use a real machine, to package, to test and to push. Please avoid using VM, and as you can see there are many issues with VM.
Comment 6 Pavol Ipoth 2014-01-28 02:57:47 EST
Hi,

i tested it on physical machines, except fedora..., but now i installed fedora also on physical machine and tested it there. Ok i will also look at that setup.py
Comment 7 Pavol Ipoth 2014-01-28 14:03:18 EST
I uploaded src.rpm and tar.gz files with setup.py. Yes i am considering support of EPEL5 (no not in VM)
Comment 8 Jeff Backus 2014-01-29 11:20:28 EST
(In reply to Pavol Ipoth from comment #3)
> Hi,
> 
> wow, i didn't expect so many things to fix :). I will look at them. Hmm

hah! I completely understand. The minutia can be overwhelming, but it is important.

> interesting is why it didn't work for you on Fedora 20, i tested it on rhel
> 5.8-6.3, centos-6.5, fedora 20, ubuntu 12.04, i will check it. I already
> have HTML docs generated but i didn't package it yet. Thanks for reviewing
> :).

Welcome!
Comment 9 Jeff Backus 2014-01-29 11:22:28 EST
(In reply to Pavol Ipoth from comment #6)
> Hi,
> 
> i tested it on physical machines, except fedora..., but now i installed
> fedora also on physical machine and tested it there. Ok i will also look at
> that setup.py

Latest version worked for me when using sudo. Might want to make a note that elevated rights are required to error messages, at the least. Adding to the help would be useful, as well.

Thanks for fixing!
Comment 10 Jeff Backus 2014-01-29 11:41:54 EST
(In reply to Pavol Ipoth from comment #7)
> I uploaded src.rpm and tar.gz files with setup.py. Yes i am considering
> support of EPEL5 (no not in VM)

Please provide output of Koji builds for each Fedora/EPEL version you are going to support - especially EPEL since it supports additional architectures. I think you'll be fine, but just to be certain.

Also, I took a look at the latest version of the spec. Thanks for making so many fixes! I have some more comments, however:
* %description field is still > 80 characters. Please break into multiple lines, preferably between "tape" and "devices".
* Please change "%files" in %changelog to just files. Don't use macros unless you actually want them to be expanded.
* Support files that aren't meant to be executed on their own should not have the hash-bang at the top. Please remove the #!/usr/bin/python from them.
* Consider creating a manpage for the executable. Some of us old codgers still heavily rely on man and apropos to find things. :)
* Use either tabs or spaces for indention, but don't use both. Line 51 is using spaces but you've used tabs everywhere else. A nitpick, yes, but still a requirement.
* Since you have a setup.py now (good catch Christopher!), please consider adding a %build section:
%build
setup.py build

* Also consider changing %install section to rely on setup.py as much as possible. The following will put most of your files in the right place:
setup.py install --install-purelib=%{buildroot}%{python_sitelib}

  - You will still need to create/copy files that do not go into %{python_sitelib}.
  - It will also build and install an egg-info file in %{python_sitelib}. You'll need to add a corresponding entry to your %files sectino.
* Version in setup.py does not match package version (1.0 != 1.2). This especially matters with regard to the egg-info.

Regards,
Jeff
Comment 11 Pavol Ipoth 2014-01-30 02:02:22 EST
I was thinking about creating man pages but i didn't find any pydoc to man page 
generator so i didn't  provide it, i will dig into it more deeper.

That tabs, it is problem of my editor, i set it to spaces in preferences but i don't know why it is always changing to tabs, i will look at it or change editor.

about that setup.py, that should be used for module distribution, so versions of modules and script/module don't have to be same (systeminfo.py isn't included in module rpm), or?

Thanks for all advices
Comment 12 Jeff Backus 2014-02-01 17:44:06 EST
(In reply to Pavol Ipoth from comment #11)
> I was thinking about creating man pages but i didn't find any pydoc to man
> page 
> generator so i didn't  provide it, i will dig into it more deeper.
> 
Thanks!

> That tabs, it is problem of my editor, i set it to spaces in preferences but
> i don't know why it is always changing to tabs, i will look at it or change
> editor.
:) Yes, I never really figured out how to do it with my editor either. When dealing with specs, etc. I do it the old fashioned way.

> 
> about that setup.py, that should be used for module distribution, so
> versions of modules and script/module don't have to be same 
Unfortunately, I'm still learning about setup.py. :) You are probably right, however, the benefit to keeping the numbers the same is that you can use %{version} in the name of the egg-info file in the %files section, hence my comment. Just a suggestion.

> (systeminfo.py
> isn't included in module rpm), or?
Not sure what you mean by this and I'm not on the right machine at the moment. I'll go back and look, but I'm fairly certain both methods picked up the same files.

> 
> Thanks for all advices

Welcome!
Comment 13 Jeff Backus 2014-02-02 05:36:18 EST
(In reply to Pavol Ipoth from comment #11)
> about that setup.py, that should be used for module distribution, so
> versions of modules and script/module don't have to be same (systeminfo.py
> isn't included in module rpm), or?

I took a closer look at the documentation for distutils. It looks like you need to add scripts[...] and data_files[...] statements to setup.py to grab systeminfo.py and settings/*, respectively. That way setup.py does all of the heavy lifting.

For more information:
* http://docs.python.org/2/distutils/setupscript.html#installing-scripts
* http://docs.python.org/2/distutils/setupscript.html#installing-additional-files

Make sense?
Comment 14 Pavol Ipoth 2014-02-03 08:37:48 EST
Ok i find a thing with that tabs and spaces, i had to reopen all files, reopening project wasn't enough...

I added that setup.py to install and build section, removed that hash-bangs, truncated description, fixed %files, added man page

I probably mixed you up, i don't want to setup.py to include systeminfo.py and settings, because those are app specific data
Comment 15 Pavol Ipoth 2014-02-03 10:03:00 EST
I also tried to build for EPEL5 through koji but it doesn't work and i don't know why

Build for EPEL6 was successful
Comment 16 Pavol Ipoth 2014-02-03 18:07:49 EST
I got it, i rebuilded src.rpm on 5.8 and now build works in koji :)
Comment 17 Pavol Ipoth 2014-02-08 06:07:44 EST
This is the spec file:

http://www.symphaty.org/files/systeminfo.spec

and src.rpm which works for EPEL5,6, fedora:

http://www.symphaty.org/files/systeminfo-1.2-1.el5.src.rpm
Comment 18 Jeff Backus 2014-02-10 15:50:16 EST
(In reply to Pavol Ipoth from comment #17)
> This is the spec file:
> 
> http://www.symphaty.org/files/systeminfo.spec
> 
> and src.rpm which works for EPEL5,6, fedora:
> 
> http://www.symphaty.org/files/systeminfo-1.2-1.el5.src.rpm

Hi Pavol,

Sorry for the long delay. I have reviewed the latest spec. Spec looks good, as far as I'm concerned. Please provide links to Koji builds for all supported platforms.

*** INFORMAL *** review results:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 45 files have unknown license. Detailed output of
     licensecheck in /mnt/storage/homes/jeff/tmp/reviews/systeminfo/pass3
     /review-systeminfo/licensecheck.txt
Package contains a LICENSE file with license matching license field.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Invalid buildroot found: %{_tmppath}/%{name}-%{version}-%{release}
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
Buildroot only included when building for EPEL 5.

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
Source package includes LICENSE file.

[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
Verified on x86_64 running Fedora 20.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: systeminfo-1.2-1.fc20.noarch.rpm
          systeminfo-1.2-1.fc20.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint systeminfo
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
systeminfo (rpmlib, GLIBC filtered):
    /usr/bin/python
    config(systeminfo)
    dbus-python
    hwdata
    python
    python(abi)
    python-dmidecode



Provides
--------
systeminfo:
    config(systeminfo)
    systeminfo



Source checksums
----------------
http://www.symphaty.org/files/systeminfo-1.2.tar.gz :
  CHECKSUM(SHA256) this package     : f2cbb45693572a45d968760790b31515977f4f8419ff97dd1803da66110b6070
  CHECKSUM(SHA256) upstream package : f2cbb45693572a45d968760790b31515977f4f8419ff97dd1803da66110b6070


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n systeminfo
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG



Final Comments:
As I said above, things look good to me. Unfortunately, I don't have the authority to approve it. Please post the koji links for EL5, EL6, Fedora 19, Fedora 20, and Fedora 21. Whoever does a formal review will probably want to see them. Nice work and good luck!

Regards,
Jeff
Comment 19 Pavol Ipoth 2014-02-12 17:50:54 EST
Hi,

here are my builds:

http://koji.fedoraproject.org/koji/tasks?owner=p53&state=all
Comment 20 Pavol Ipoth 2014-02-12 17:51:44 EST
And really thanks for your interest and help

Note You need to log in before you can comment on or make changes to this bug.